Main Page Class Hierarchy Compound List File List Compound Members File Members

# sema_ew.c File Reference

`#include <windows.h>`
`#include <stdlib.h>`
`#include <earthworm.h>`

Go to the source code of this file.

## Functions
void | CreateMutex_ew (void)
void | RequestMutex (void)
void | ReleaseMutex_ew (void)
void | CloseMutex (void)
void | CreateSpecificMutex (HANDLE *mp)
void | RequestSpecificMutex (HANDLE *mp)
void | ReleaseSpecificMutex (HANDLE *mp)
void | CloseSpecificMutex (HANDLE *mp)
void | CreateSemaphore_ew (void)
void | PostSemaphore (void)
void | WaitSemPost (void)
void | DestroySemaphore (void)
## Variables
HANDLE | mutSem
HANDLE | semahandle

## Function Documentation

void CloseMutex | ( | void |  | ) |

| Definition at line 73 of file sema_ew.c.

void CloseSpecificMutex | ( | HANDLE * | mp | ) |

| Definition at line 120 of file sema_ew.c.

void CreateMutex_ew | ( | void |  | ) |

| Definition at line 37 of file sema_ew.c.

void CreateSemaphore_ew | ( | void |  | ) |

| Definition at line 132 of file sema_ew.c.

void CreateSpecificMutex | ( | HANDLE * | mp | ) |

| Definition at line 84 of file sema_ew.c. References logit().

void DestroySemaphore | ( | void |  | ) |

| Definition at line 177 of file sema_ew.c.

void PostSemaphore | ( | void |  | ) |

| Definition at line 153 of file sema_ew.c.

void ReleaseMutex_ew | ( | void |  | ) |

| Definition at line 61 of file sema_ew.c.

void ReleaseSpecificMutex | ( | HANDLE * | mp | ) |

| Definition at line 108 of file sema_ew.c. References logit().

void RequestMutex | ( | void |  | ) |

| Definition at line 50 of file sema_ew.c.

void RequestSpecificMutex | ( | HANDLE * | mp | ) |

| Definition at line 97 of file sema_ew.c.

void WaitSemPost | ( | void |  | ) |

| Definition at line 165 of file sema_ew.c.

## Variable Documentation

HANDLE mutSem

| Definition at line 27 of file sema_ew.c. Referenced by CreateMutex_ew().

HANDLE semahandle

| Definition at line 28 of file sema_ew.c. Referenced by CreateSemaphore_ew().